package com.bocloud.cmp.provider.campus;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.campus.AcmUserModel;

import java.util.List;

public interface AcmUserProvider extends SuperProvider {

    default BocloudResult<List<AcmUserModel>> list() {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<AcmUserModel> create(AcmUserModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<AcmUserModel> getByName(String username) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> modify(AcmUserModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> delete(String username, Integer cancelType, Integer cancelPlatUser) {
        throw new RuntimeException("unimplemented");
    }

}
